xn::Version Class Reference
C++ Reference to Application Programmer Interface (API) » Misc

`#include <XnCppWrapper.h>`

## Public Member Functions

| Version (const XnVersion &version)
| Version (XnUInt8 nMajor, XnUInt8 nMinor, XnUInt16 nMaintenance, XnUInt32 nBuild)
bool | operator== (const Version &other) const
bool | operator!= (const Version &other) const
bool | operator< (const Version &other) const
bool | operator<= (const Version &other) const
bool | operator> (const Version &other) const
bool | operator>= (const Version &other) const
XnUInt8 | Major () const
XnUInt8 | Minor () const
XnUInt16 | Maintenance () const
XnUInt32 | Build () const
XnUInt8 & | Major ()
XnUInt8 & | Minor ()
XnUInt16 & | Maintenance ()
XnUInt32 & | Build ()
const XnVersion * | GetUnderlying () const
XnVersion * | GetUnderlying ()

## Static Public Member Functions

static Version | Current ()

## Detailed Description

Purpose: The Version class provides functionality for accessing the OpenNI version information.

## Constructor & Destructor Documentation

## Version() [1/2]

xn::Version::Version | ( | const XnVersion & | version | ) |

inline

## Version() [2/2]

xn::Version::Version | ( | XnUInt8 | nMajor,
|  | XnUInt8 | nMinor,
|  | XnUInt16 | nMaintenance,
|  | XnUInt32 | nBuild )

inline

## Member Function Documentation

## Build() [1/2]

XnUInt32 & xn::Version::Build | ( |  | ) |

inline

## Build() [2/2]

XnUInt32 xn::Version::Build | ( |  | ) | const

inline

## Current()

Version xn::Version::Current | ( |  | ) |

inline static

## GetUnderlying() [1/2]

XnVersion * xn::Version::GetUnderlying | ( |  | ) |

inline

## GetUnderlying() [2/2]

const XnVersion * xn::Version::GetUnderlying | ( |  | ) | const

inline

## Maintenance() [1/2]

XnUInt16 & xn::Version::Maintenance | ( |  | ) |

inline

## Maintenance() [2/2]

XnUInt16 xn::Version::Maintenance | ( |  | ) | const

inline

## Major() [1/2]

XnUInt8 & xn::Version::Major | ( |  | ) |

inline

## Major() [2/2]

XnUInt8 xn::Version::Major | ( |  | ) | const

inline

## Minor() [1/2]

XnUInt8 & xn::Version::Minor | ( |  | ) |

inline

## Minor() [2/2]

XnUInt8 xn::Version::Minor | ( |  | ) | const

inline

## operator!=()

bool xn::Version::operator!= | ( | const Version & | other | ) | const

inline

## operator<()

bool xn::Version::operator< | ( | const Version & | other | ) | const

inline

## operator<=()

bool xn::Version::operator<= | ( | const Version & | other | ) | const

inline

## operator==()

bool xn::Version::operator== | ( | const Version & | other | ) | const

inline

## operator>()

bool xn::Version::operator> | ( | const Version & | other | ) | const

inline

## operator>=()

bool xn::Version::operator>= | ( | const Version & | other | ) | const

inline

The documentation for this class was generated from the following file:

- XnCppWrapper.h